 

/**
 * Erzeuger zur Lieferung eines Produkts<br/>
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
public class ERZEUGER extends Thread {

    /** Referenz auf den Abstellplatz*/
    ABSTELLPLATZ abstellplatz;

    /**Konstruktor
     *
     * @param abstellplatz der Abstellplatz zur Anlieferung
     */
    public ERZEUGER(ABSTELLPLATZ abstellplatz) {
        this.abstellplatz = abstellplatz;
    }

    /** simuliert durch Warten das Produzieren eines Produkts
     *
     */
    private void produzieren() {
        //erzeugen(), braucht Zeit;
        try {
            sleep((int) (Math.random() * 100));
        } catch (InterruptedException e) {
        }
    }

    /** simuliert die Arbeit des Erzeugers:<br/>
     * falls das Ablegen des produzierten Produkt gelingt, wird erneut produziert,
     * andernfalls versucht der Erzeuger erneut den Produkt abzulegen.
     */
    @Override
    public void run() {

        produzieren();

        while (true) {
            if (abstellplatz.ablegen()) {
                produzieren();
            }
        }
    }
}
