 

/**
 * Verbraucher zur Weiterverarbeitung eines Produkts<br/>
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0*/
public class VERBRAUCHER extends Thread {

    /** Referenz auf den Abstellplatz*/
    ABSTELLPLATZ abstellplatz;

    /**Konstruktor
     *
     * @param abstellplatz der Abstellplatz zur Anlieferung
     */
    public VERBRAUCHER(ABSTELLPLATZ abstellplatz) {
        this.abstellplatz = abstellplatz;
    }

    /** simuliert durch Warten das Verarbeiten eines Produkts
     *
     */
    private void verarbeiten() {
        try {//produzieren braucht Zeit
            sleep((int) (Math.random() * 100));
        } catch (InterruptedException e) {
        }
    }

    /** simuliert die Arbeit des Verbrauchers:<br/>
     * falls das Abholen des produzierten Produkt gelingt, wird weiterverarbeitet,
     * andernfalls wird weiter versucht einen Produkt abzuholen.
     */
    @Override
    public void run() {

        while (true) {

            if (abstellplatz.abholen()) {
                verarbeiten();
            }

        }
    }
}
