 

/**
 * Erzeuger zur Lieferung eines Artikels<br/>
 * Passives Warten
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
public class VERBRAUCHER extends Thread {

    /** Referenz auf den Abstellplatz*/
    ABSTELLPLATZ abstellplatz;

    /**Konstruktor
     *
     * @param abstellplatz der Abstellplatz zur Anlieferung
     */
    public VERBRAUCHER(ABSTELLPLATZ abstellplatz) {
        this.abstellplatz = abstellplatz;
    }

    /** simuliert durch Warten das Verarbeiten eines Produkts
     *
     */
    public void verarbeiten() {
        try {//produzieren braucht Zeit
            sleep((int) (Math.random() * 100));
        } catch (InterruptedException e) {
        }
    }

    /** simuliert die Arbeit des Verbrauchers<br/>
     * falls keine Produkt abgeholt werden konnte, wird der Thread in den
     * Wartezustand versetzt.
     */
    @Override
    public void run() {

        while (true) {

            abstellplatz.abholen();
            verarbeiten();
        }
    }
}
