package Model.Baum;


/**
 * Beschreibt ein abstraktes Element des Baums.
 * 
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12 
 * @version 1.0
 */
abstract class BAUMELEMENT
{
    
    /**
     * F&uuml;gt ein neues Datenelement sortiert in den Baum ein.
     * @param neu Referenz auf des neue Datenelement
     * @return der (neue) Nachfolger f&uuml;r das Vorg&auml;ngerelement
     */
    abstract BAUMELEMENT Einfuegen (Model. DATENELEMENT neu);
    
    /**
     * Sucht ein Datenelement mit dem in der Referenz angegebenen Schl&uuml;ssel.
     * @param schluessel Referenz auf ein Datenelement mit dem zu suchenden Schl&uuml;sselwert
     * @return das gefundene Datenelement oder null
     */
    abstract Model. DATENELEMENT Suchen (Model. DATENELEMENT schluessel);

}
