package Model.Liste;


/**
 * Beschreibt ein Abschlusselement der Liste.
 * 
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
class ABSCHLUSS extends LISTENELEMENT
{

    /**
     * F&uuml;r das Anlegen des Abschlusses brauchts nichts getan zu werden.
     */
    ABSCHLUSS ()
    {
        
    }

    /**
     * F&uuml;gt ein neues Datenelement sortiert in die Liste ein.
     * @param neu Referenz auf des neue Datenelement
     * @return der neue Nachfolger f&uuml;r das Vorg&auml;ngerelement
     */
    LISTENELEMENT Einfuegen (Model. DATENELEMENT neu)
    {
        return new KNOTEN (neu, this);
    }
    
    /**
     * Sucht ein Datenelement mit dem in der Referenz angegebenen Schl&uuml;ssel.
     * Das Datenelement ist in diesem Fall sicher nicht in der Liste vorhanden.
     * @param schluessel Referenz auf ein Datenelement mit dem zu suchenden Schl&uuml;sselwert
     * @return null
     */
    Model. DATENELEMENT Suchen (Model. DATENELEMENT schluessel)
    {
        return null;
    }
}
