 

/**
 * Diese Klasse implementiert das Serververhalten des Platzbuchungsservers<br/>
 *  Vorlage f&uuml;r die Aufgabe 2 des Kapitels 2.3.3<br/>
 * Die Stellen, an denen eine Quelltexterg&auml;nzung notwendig ist, sind mit
 * "Quelltexterg&auml;nzung" gekennzeichnet.
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
public class PLATZBUCHUNG {

    /**Referenz auf den Server, dort muss nachgefragt werden,
     * ob noch Pl&auml;tze frei sind*/
    private SERVER4 server;

    /**Konstruktor der Klasse
     * @param server der Platzbuchungsserver, dessen Methoden PlaetzeVerfuegbar() und
     * PlaetzeBuchen(int anzahl) ben&ouml;tigt werden.
     */
    public PLATZBUCHUNG(SERVER4 server) {
        this.server = server;
    }

    /**
     * ermittelt die zu sendende Antwort in Abh&auml;ngigkeit des Zustands und des Textes,
     * der vom Client &uuml;bermittelt wurde, nimmt Platzbuchung vor.
     * @param textvomclient der Text, der vom Client an den Server gesendet wurde.
     * @return den Text, der als Antwort an den Client gesendet wird.
     */
    public String HoleAntwort(String textvomclient) {
        String ausgabe = null;
        //Quelltexterg&auml;nzung
        return ausgabe;
    }
}
