 

/**
 * Diese Klasse simuliert das Buchungsverhalten eines Kunden<br/>
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
class KUNDE extends Thread {

    /**Referenzen auf die Z&uuml;ge mit M&ouml;glichkeit der Information und Buchung*/
    private ZUG[] zuege;

    /** Konstruktor der Klasse
     * @param name Name des Kunden
     * @param zuege Referenzen auf buchbare Z&uuml;ge
     */
    public KUNDE(String name, ZUG[] zuege) {
        super(name);
        this.zuege = zuege;
    }

    /**Der Kunde bucht zufallsgesteuert in den verschiedenen Z&uuml;gen*/
    @Override
    public void run() {
        int auswahl, zufall;

        for (int i = 0; i < 50; i++) {

            zufall = (int) (Math.random() * 100);

            try {	// Kunde verbalisiert seine W&uuml;nsche ...
                sleep(zufall);
            } catch (InterruptedException e) {
            }

            if (zufall % 2 == 0) {
                auswahl = 0;
            } else {
                auswahl = 1;
            }
            System.out.println(getName() + ": Platz " + zuege[auswahl].nochFrei()
                    + " in der " + zuege[auswahl].getName() + " reserviert");
        }
    }
}
