 

import java.util.*;

/**
 * Hauptprogramm zur Simulation der speisenden Philosophen<br/>
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
public class SIMULATION {

    /**Anzahl der Philosophen*/
    private static final int ANZAHL = 5;

    /**erzeugt (Ess-) St&auml;bchen und Philosphen
     *
     * @param args wird nicht ben&ouml;tigt
     */
    public static void main(String[] args) {

        ArrayList<PHILOSOPH> philosophen = new ArrayList<PHILOSOPH>();
        ArrayList<STAB> staebchen = new ArrayList<STAB>();

        //St&auml;bchen erzeugen
        for (int i = 0; i < ANZAHL; i++) {
            staebchen.add(new STAB());
        }

        //Philosphen erzeugen und linkes und rechtes St&auml;bchen zuweisen.
        for (int i = 0; i < ANZAHL; i++) {
            philosophen.add(new PHILOSOPH(i + "", staebchen.get(i), staebchen.get((i + 1) % ANZAHL)));
        }

        //Philosophen beginnen zu essen und denken...
        for (int i = 0; i < ANZAHL; i++) {
            philosophen.get(i).start();
        }
    }
}
