package Model.Liste;


/**
 * Eine sortierte Liste nach Standardimplementierung.
 * 
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12 
 * @version 1.0
 */
public class LISTE
{
    /* Referenz auf das erste Element der Liste. */
    private LISTENELEMENT anfang;
    
    /**
     * Legt eine leere Liste an.
     */
    public LISTE ()
    {
        anfang = new ABSCHLUSS ();
    }

    /**
     * F&uuml;gt ein neues Datenelement sortiert in die Liste ein.
     * @param neu Referenz auf des neue Datenelement
     */
    public void Einfuegen (Model. DATENELEMENT neu)
    {
        anfang = anfang. Einfuegen (neu);
    }
    
    /**
     * Sucht ein Datenelement mit dem in der Referenz angegebenen Schl&uuml;ssel.
     * @param schluessel Referenz auf ein Datenelement mit dem zu suchenden Schl&uuml;sselwert
     * @return das gefundene Datenelement oder null
     */
    public Model. DATENELEMENT Suchen (Model. DATENELEMENT schluessel)
    {
        return anfang. Suchen (schluessel);
    }
}
