package Model;


/**
 * Beschreibt ein Datenelement, das nur aus einem als String beschriebenen Sch&uuml;ssel besteht..
 * 
 * @author ISB-Arbeitskreis, Umsetzungshilfen Informatik 12
 * @version 1.0
 */
class STRINGDATEN implements DATENELEMENT
{
    /* Der Schl&uuml;ssel des Datenelements */
    private String schluessel;
    
    /**
     * Tr&auml;gt den Schl&uuml;ssel ein.
     * @param s der Schl&uuml;ssel des Datenelements
     */
    STRINGDATEN (String s)
    {
        schluessel = s;
    }
    
    /**
     * Vergleicht den Schl&uuml;ssel des Datenelements mit dem in der Referenz angegebenen Sch&uuml;ssel.
     * &lt;0: Der eigene Schl&uuml;ssel ist kleiner als der referenzierte Schl&uuml;ssel<br>
     * =0: Der eigene Schl&uuml;ssel ist gleich dem referenzierten Schl&uuml;ssel<br>
     * &gt;0: Der eigene Schl&uuml;ssel ist gr&ouml;&szlig;er als der referenzierte Schl&uuml;ssel
     * @return das Vergleichsergebnis
     */
    public int Vergleichen (DATENELEMENT schluessel)
    {
        return this. schluessel. compareTo (((STRINGDATEN) schluessel). schluessel);
    }
}
